﻿using Syncfusion.JavaScript.Web;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TestGrid
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        List<Person> Persons = new List<Person>();
        List<Country> country = new List<Country>();
        protected void Page_Load(object sender, EventArgs e)
        {
           

            BindDataSource();
        }
        public void ddlDepts2_PreRender(object sender, EventArgs e)
         {
           // this.tvDepts2.DataSource = new TreeLocalDataSource().GetTreeDataItems().ToList();
        }
        private void BindDataSource()
        {


            List<Address> adrs1 = new List<Address>();
            adrs1.Add(new Address() { Address1 = "No: 417", Address2 = "1st street", City = "Aurora", Country = "Arapahoe", Zip = "80010" });
            List<Address> adrs2 = new List<Address>();
            adrs2.Add(new Address() { Address1 = "No: 378", Address2 = "3rd cross street", City = "Austin", Country = "Travis", Zip = "78701" });
            List<Address> adrs3 = new List<Address>();
            adrs3.Add(new Address() { Address1 = "No: 195", Address2 = "7th golden street", City = "Sandy", Country = "Salt Lake", Zip = "84070" });

            country.Add(new Country() { CountryID = 1, CountryDescription = adrs1[0].Country });
            country.Add(new Country() { CountryID = 2, CountryDescription = adrs2[0].Country });
            country.Add(new Country() { CountryID = 3, CountryDescription = adrs3[0].Country });


            Persons.Add(new Person() { ID = 1001, FirstName = "John", LastName = "Beckett", Addresses = adrs1 });
            Persons.Add(new Person() { ID = 1002, FirstName = "Ben", LastName = "Smith", Addresses = adrs2 });
            Persons.Add(new Person() { ID = 1003, FirstName = "Andrew", LastName = "Fuller", Addresses = adrs3 });

            this.Grid.Columns[3].DataSource = country;
            this.Grid.DataSource = Persons;
            this.Grid.DataBind();
        }
        public class TreeLocalDataSource
        {

            public TreeLocalDataSource()
            { }
            public TreeLocalDataSource(int _id, int _parentid, string _text, string _hasChild, string _expanded)
            {
                this.ID = _id;
                this.ParentID = _parentid;
                this.Text = _text;
                this.HasChild = _hasChild;
                this.Expanded = _expanded;
            }
            [Browsable(true)]
            public int ID
            {
                get;
                set;
            }

            [Browsable(true)]
            public int ParentID
            {
                get;
                set;
            }

            [Browsable(true)]
            public string Text
            {
                get;
                set;
            }
            [Browsable(true)]
            public string HasChild
            {
                get;
                set;
            }
            [Browsable(true)]
            public string Expanded
            {
                get;
                set;
            }
            public List<TreeLocalDataSource> GetTreeDataItems()
            {
                List<TreeLocalDataSource> data = new List<TreeLocalDataSource>();

                data.Add(new TreeLocalDataSource(1, 0, "Discover Music", "true", "true"));
                data.Add(new TreeLocalDataSource(2, 1, "Hot Singles", "", ""));
                data.Add(new TreeLocalDataSource(3, 1, "Rising Artists", "", ""));
                data.Add(new TreeLocalDataSource(4, 1, "Live Music", "", ""));
                data.Add(new TreeLocalDataSource(6, 1, "Best of 2013 So Far", "", ""));
                data.Add(new TreeLocalDataSource(7, 0, "Sales and Events", "true", "true"));
                data.Add(new TreeLocalDataSource(8, 7, "100 Albums - $5 Each", "", ""));
                data.Add(new TreeLocalDataSource(9, 7, "Hip-Hop and R&B Sale", "", ""));
                data.Add(new TreeLocalDataSource(10, 7, "CD Deals", "", ""));
                data.Add(new TreeLocalDataSource(11, 0, "Categories", "true", ""));
                data.Add(new TreeLocalDataSource(12, 11, "Songs", "", ""));
                data.Add(new TreeLocalDataSource(13, 11, "Bestselling Albums", "", ""));
                data.Add(new TreeLocalDataSource(14, 11, "New Releases", "", ""));
                data.Add(new TreeLocalDataSource(15, 11, "Bestselling Songs", "", ""));
                data.Add(new TreeLocalDataSource(16, 0, "MP3 Albums", "true", ""));
                data.Add(new TreeLocalDataSource(17, 16, "Rock", "", ""));
                data.Add(new TreeLocalDataSource(18, 16, "Gospel", "", ""));
                data.Add(new TreeLocalDataSource(19, 16, "Latin Music", "", ""));
                data.Add(new TreeLocalDataSource(20, 16, "Jazz", "", ""));
                data.Add(new TreeLocalDataSource(21, 0, "More in Music", "true", ""));
                data.Add(new TreeLocalDataSource(22, 21, "Music Trade-In", "", ""));
                data.Add(new TreeLocalDataSource(23, 21, "Redeem a Gift Card", "", ""));
                data.Add(new TreeLocalDataSource(24, 21, "Band T-Shirts", "", ""));
                data.Add(new TreeLocalDataSource(25, 21, "Mobile MVC", "", ""));

                return data;
            }
        }

        [Serializable]
        public class Person
        {
            public Person()
            {

            }
            public Person(int id, string firstName, string lastName, List<Address> address)
            {
                this.ID = id;
                this.FirstName = firstName;
                this.LastName = lastName;
                this.Addresses = address;
            }
            public int ID { get; set; }
            public string FirstName { get; set; }
            public string LastName { get; set; }
            public List<Address> Addresses { get; set; }
        }
        [Serializable]
        public class Address
        {
            public string Address1 { get; set; }
            public string Address2 { get; set; }
            public string City { get; set; }
            public string Country { get; set; }
            public string Zip { get; set; }
        }

        [Serializable]
        public class Country
        {
            public Country()
            {
            }
            public Country(int id, string description)
            {
                this.CountryID = id;
                this.CountryDescription = description;
            }
            public int CountryID { get; set; }
            public string CountryDescription { get; set; }
        }

    }
}